Subject: [PATCH V2 2/2] Input: misc: introduce palmas-pwrbutton

From: [email-masked] (Nishanth Menon)
Date: Thu, 11 Sep 2014 07:01:19 -0500

Hi Dimtry,

On 14:13-20140910, Dmitry Torokhov wrote:
> On Thu, Aug 21, 2014 at 02:01:43PM -0500, Nishanth Menon wrote:
> > On 08/21/2014 01:03 PM, Dmitry Torokhov wrote:
> > 
> > I believe I have taken care of other concerns on v2, but..Arrgh.. I
> > did not reply to this comment..
> > > BTW, I do not think you need to use of_node_get/put here, it's not going anywhere.
> > It has been mentioned as a good practice to ensure we use get_put in
> > to ensure reference count is appropriately maintained. So, I have'nt
> > changed that in v3.
> 
> You only need to maintain reference count if you pass the handle on.
> Otherwise you'd have to do get/put every time you dereference something.
> 
> Anyway, I did a few changes to the driver (no need to store current
> state, do not fre einput device after unregister, etc.), could you
> please tell me if the version below still works for you?
[...]
Thanks for taking the time to do all the changes - they are awesome and
the resultant driver does work.

-- 
Regards,
Nishanth Menon